## SwClient

SwClient

## Functions

SwClient * | sw_client_new ()
void | (*SwClientIsOnlineCallback) ()
void | (*SwClientGetServicesCallback) ()
void | sw_client_get_services ()
SwClientService * | sw_client_get_service ()
void | sw_client_is_online ()

## Signals

void | online-changed | Run First

## Types and Values

| SwClient
| SwClientClass

## Object Hierarchy

        GObject
        ╰── SwClient

## Description

## Functions

### sw_client_new ()

    SwClient *
    sw_client_new (void);

### SwClientIsOnlineCallback ()

    void
    (*SwClientIsOnlineCallback) (SwClient *client,
                                 gboolean online,
                                 gpointer userdata);

#### Parameters

userdata | . | [closure]

### SwClientGetServicesCallback ()

    void
    (*SwClientGetServicesCallback) (SwClient *client);

#### Parameters

services | . | [element-type gchar*]
userdata | . | [closure]

### sw_client_get_services ()

    void
    sw_client_get_services (SwClient *client,
                            SwClientGetServicesCallback cb,
                            gpointer userdata);

#### Parameters

cb | . | [scope async]
userdata | . | [closure]

### sw_client_get_service ()

    SwClientService *
    sw_client_get_service (SwClient *client,
                           const gchar *service_name);

#### Returns

.

[transfer full]

### sw_client_is_online ()

    void
    sw_client_is_online (SwClient *client,
                         SwClientIsOnlineCallback cb,
                         gpointer userdata);

#### Parameters

cb | . | [scope async]
userdata | . | [closure]

## Types and Values

### SwClient

    typedef struct _SwClient SwClient;

### SwClientClass

    typedef struct {
      GObjectClass parent_class;
    } SwClientClass;

## Signal Details

### The `“online-changed”` signal

    void
    user_function (SwClient *swclient,
                   gboolean  arg1,
                   gpointer  user_data)

Flags: Run First